# Notes

`git clone https://git.ittavern.com/CaffeineFueled/podman-grafana-loki.git`

`cd podman-grafana-loki`

`podman kube play grafana-stack.yaml`

Taking it down
`podman kube down grafana-stack.yaml`

> Note: not ready for production!


# Configuration
## Endpoint

Grafana
`localhost:3000`

Loki
`localhost:3100`

## Auth

Open Grafana, default creds are `admin`/`admin`.

## Data Source
Add Loki as data source `localhost:3100` to display them in grafana

# Changelog

from initial project

- Removed Tempo/Mimir
- Loki Config `loki-local-config.yaml`
    - `store: boltdb-shipper` > `store: tsdb`
    - `schema: v11` > `schema: v13`

# Links

[Initial Article](https://grafana.com/blog/2022/09/08/how-to-deploy-the-grafana-stack-using-podman/)

[Initial Repo](https://github.com/CastawayEGR/grafana-stack-podman)

# TODO

- [ ] Authentication for Loki
